#ifndef CAMIDS_H
#define CAMIDS_H

#include <QDialog>
#include <QComboBox>
#include <QLabel>
#include <QVBoxLayout>
#include <QGridLayout>
#include <QLineEdit>
#include <QDialogButtonBox>
#include <pylon/PylonIncludes.h>

#include "mylogger.h"

namespace Ui {
class CameraID;
}

class CameraID : public QDialog
{
    Q_OBJECT

public:
    explicit CameraID(Pylon::DeviceInfoList_t &deviceList, QWidget *parent = 0);
    // ~CameraID(){};
    QString newID();
    int cameraIndex();

public slots:
    void setID();

// signals:
//     void column_visibility_changed(QString who, QString column, bool state);
//     void recent_file_changed(QStringList);

private:
    Pylon::DeviceInfoList_t deviceList;
    QComboBox *device_combo;
    QLineEdit *edit;
    QDialogButtonBox *buttonbox;

};

#endif // CAMIDS_H

