#ifndef MYIMAGE_H
#define MYIMAGE_H

#include<pylon/PylonIncludes.h>

class MyImage
{
public:
  MyImage();
  MyImage(Pylon::CGrabResultPtr ptr);

  int width();
  int height();
  int size();
  int64_t index();
  void* data();
  time_t timestamp();
  bool setFrame(Pylon::CGrabResultPtr ptr);
  bool setFrame(Pylon::CPylonImage &img);

private:
  uint32_t img_width = 0;
  uint32_t img_height = 0;
  int64_t img_index = 0;
  time_t img_timestamp;
  static const int max_width = 4096;
  static const int max_height = 1536;
  char buffer[max_width * max_height];
};

#endif // MYIMAGE_H
