# PylonRecorder

Recorder for up to two Basler cameras.

## TODOs

* implement grabbing from 2 joined cameras
* set the region of interest
* !!! dual cam writer!!! chgeck file opening!

## FIXMEs

* dualcamwrapper: remove hardcode
* dualcamwrapper: support setting exposure individually
* dualcamwrapper: support setting gain individually
* pylonrecorder somehow remembers the old layout:
* display of images during recording of both cameras.
* 

## Improvements

* make the max image sizes depend on camera
* detect framedrops based on the framecounts
* support reading out camera health (temperature)
* add interface to change camera DeviceUserID to provided an user friendly name for the cameras
* code cleanup check import guards
* check private public 
* add interface for single- dual- multi-camera support
* same for grabbing from single or multiple devices
* support handling of multiple buffers in GUI (load, pessure)
* remove the old open, save etc. functions.
* improve dry run to not create panik by showing the buffer lad to go up
* support buffer progress for two cams/buffers
* add functionality to adjust the gain per camera (automatically?)
* cleanup setter function on dual and single camera wrappers...
* remove full name from SinglecamWrapper